Update a cost center
curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/cost-centers/{cost_center_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"description": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/cost-centers/{cost_center_id}"
payload = {
"description": "<string>",
"name": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({description: '<string>', name: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/cost-centers/{cost_center_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_external": false,
"name": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Cost centers
Update a cost center
Update an existing cost center
PATCH
/
finops
/
v1
/
cost-centers
/
{cost_center_id}
Update a cost center
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Response
Successful Response
Represents a cost center retrieved from an accounting system.
The timestamp when the cost center was created.
The timestamp when the cost center was last updated.
Description of the cost center
Whether the cost center is from an external system
Was this page helpful?
⌘I